import request from '@/utils/request'

// 查询死淘处理方式列表
export function listDisposal(query) {
  return request({
    url: '/app/disposal/list',
    method: 'get',
    params: query
  })
}

// 查询死淘处理方式详细
export function getDisposal(id) {
  return request({
    url: '/app/disposal/' + id,
    method: 'get'
  })
}

// 新增死淘处理方式
export function addDisposal(data) {
  return request({
    url: '/app/disposal',
    method: 'post',
    data: data
  })
}

// 修改死淘处理方式
export function updateDisposal(data) {
  return request({
    url: '/app/disposal',
    method: 'put',
    data: data
  })
}

// 删除死淘处理方式
export function delDisposal(id) {
  return request({
    url: '/app/disposal/' + id,
    method: 'delete'
  })
}

//全部选择
export function getAllDisposal() {
  return request({
    url: '/app/disposal/optionselect',
    method: 'get'
  })
}
